
from django.utils.translation import gettext_lazy as _

  
def find_least_price(prices: list[float]) -> float:
    if not prices:
        raise ValueError("Input array of prices cannot be empty.")
        
    return min(prices)